<!-- Template for the notes route -->
{% extends 'base.html' %}
<div class="row">
  {% block content %}
  <div class="row">
    <h2>Notes log for <a href="{{ url_for('routers.router', fingerprint=fingerprint) }}">{{ fingerprint }}</a></h2>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">note</th>
          <th scope="col">Username</th>
          <th scope="col">Published</th>
          <th scope="col">Fingerprint</th>
          <th></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        {% for note in notes: %}
          <tr>
            <th scope="row">
              {{ note.note }}</th>
            <td>{{ note.username }}</td>
            <td>{{ note.published }}</td>
            <td><a href="{{ url_for('routers.router', fingerprint=note.fingerprint) }}">{{ note.fingerprint }}</a></td>
            <td>
              {% if username == note.username %}
                <a href="{{ url_for('routers.edit_note', fingerprint=note.fingerprint, note_id=note.note_id) }}"
                  class="btn btn-secondary">
                  <i class="fa-solid fa-pen-to-square"></i>
                </a>
              {% endif %}
            </td>
            <td>
              {% if username == note.username %}
                {% if not note.status=="deleted" %}
                  <form method="post"
                    action="{{ url_for('routers.delete_note', fingerprint=note.fingerprint, note_id=note.note_id) }}">
                    <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-trash-can"></i></button>
                  </form>
                {% else %}
                  <form method="post"
                    action="{{ url_for('routers.restore_note', fingerprint=note.fingerprint, note_id=note.note_id) }}">
                    <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-rotate-left"></i></button>
                  </form>
                {% endif %}
              {% endif %}
            </td>
          </tr>
        {% endfor %}

      </tbody>
    </table>
  </div>
  {% endblock %}
</div>